%define lib_major       1
%define lib_name        %mklibname xffm %{lib_major}
%define name            xffm
%define iconname      %{name}.png 

Summary: 	Filemanager and SMB network navigator for Xfce
Name: 		%{name}
Version: 	4.2.2

%define	rel	1
%define release	%{rel}.%{distsuffix}%{distversion}
Release: 	%{release}

License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2 
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	libxfcegui4-plugins
BuildRequires:	dbh-devel
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	ImageMagick
BuildRequires:	chrpath

%description
Xffm is a filemanager and SMB network navigator for Xfce.

%package -n %{lib_name}
Summary:	Libraries for the xffm filemanager
Group:		Graphical desktop/Xfce

%description -n %{lib_name}
Libraries for the xffm filemanager.

%package -n %{lib_name}-devel
Summary:	Libraries and headers for development with xffm
Group:		Development/Other
Provides:	xffm-devel
Requires:	%{lib_name} = %{version}

%description -n %{lib_name}-devel
Libraries and headers for development with the xffm filemanager.


%prep
%setup -q

%build
%configure2_5x --sysconfdir=%_sysconfdir/X11 --enable-panel
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# disable rpath
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*

%find_lang %{name}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert pixmaps/%{name}_icon.xpm -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert pixmaps/%{name}_icon.xpm -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert pixmaps/%{name}_icon.xpm -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

# Menu
(cd $RPM_BUILD_ROOT 
cat > .%{_menudir}/%name <<EOF
?package(%name):\
command="%{_bindir}/%{name}"\
icon="%{iconname}"\
title="Xffm"\
longtitle="Xffm is a filemanager and SMB network navigator for XFce."\
needs="x11"\
section="System/File Tools"
EOF
)

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_datadir}/xfce4/xffm/*
 
%clean
rm -rf $RPM_BUILD_ROOT


%post 
%{update_menus}

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS COPYING AUTHORS
%doc %dir %{_datadir}/xfce4/ 
%doc %{_datadir}/xfce4/doc/* 
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/
%{_libdir}/xfce4/xffm/*
%{_datadir}/xffm/ 
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_menudir}/%{name}
%{_mandir}/man1/*
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/


%changelog
* Thu May 19 2005 AndyRTR <andreas.radke@freenet.de> 4.2.2-1rtr
- 4.2.2

* Sun Mar 20 2005 AndyRTR <andreas.radke@freenet.de> 4.2.1-1andyrtr
- rebuild for Mandrake 10.1

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Fri Nov 19 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-2mdk
- enable panel dnd toolbar

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- increase soname
- update filelist
- require libxfcegui4-plugins

* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-2mdk
- rebuild for new menu

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4
- section in menu

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3 

* Mon Dec 29 2003 Marcel Pol <mpol@mandrake.org> 4.0.2-2mdk
- really disable rpath
- fix iconname in menu

* Tue Dec 23 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- drop sources 1,2 and 3---use ImageMagick to convert included icon
- use makeinstakll_std
- change doc listing

* Mon Nov 24 2003 Marcel Pol <mpol@gmx.net> 4.0.1-3mdk
- fix macros in menu

* Fri Nov 21 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- add menu entry

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- initial mandrake package

